LTX 2.3 Trainer (V2) - Audio-to-Audio
集成
模型 id
ltx23-trainer-v2/a2a
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx23-trainer-v2/a2a?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-trainer-v2/a2a?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-trainer-v2/a2a", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-CN/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx23-trainer-v2/a2a",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
通过 Doitong API 调用 LTX 2.3 Trainer (V2) - Audio-to-Audio 模型(ltx23-trainer-v2/a2a)。智能体文档:https://doitong.com/zh-CN/developers/models/ltx23-trainer-v2/a2a.md
POST https://api.doitong.ru/v1/run/ltx23-trainer-v2/a2a?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/ltx23-trainer-v2/a2a,可在运行前返回确切价格。
此请求: $4.60 4,600 API 积分 · ≈ ₽494.87 在此页面运行
你的新 API 密钥。 它只会在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保管:切勿将其放入在浏览器中运行的代码里。
构建请求
控件根据模型架构生成。修改控件时,代码和价格会同步更新。
POST
/run/ltx23-trainer-v2/a2a?wait=20
报价 → $4.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx23-trainer-v2/a2a?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-trainer-v2/a2a?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-trainer-v2/a2a", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx23-trainer-v2/a2a",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
关于 LTX 2.3 Trainer (V2) - Audio-to-Audio
根据 `training_data_url` 中包含配对示例的 `.zip` 文件,微调用于音频转音频变换的 LoRA。`rank` 为 8 到 128,`number_of_steps` 为 100 到 10000,`audio_duration_seconds` 为 0.5 到 60。此处不使用场景切分,因此请提供预先切分的片段。返回 LoRA 权重和配置文件。
参数
名称类型
默认值允许值
描述
training_data_url必填
类型string
包含训练数据的 `.zip` URL,数据按所选训练模式组织。每个媒体文件可以附带一个名称匹配的 `.txt` 字幕文件。
rank可选
类型enum
默认值32
8163264128
LoRA 适配秩;该设置越高,内存消耗越大,但容量也越高。
number_of_steps可选
类型integer
默认值2000
100 – 10,000
训练步数总数。
learning_rate可选
类型number
默认值0.0002
0.000001 – 1
优化学习率。
number_of_frames可选
类型integer
默认值89
9 – 121
每个训练样本的帧数。将该数量除以 8 后余数必须为 1;示例包括 1、9、17、25、33、41、49、57、65、73、81、89、97。
frame_rate可选
类型integer
默认值24
8 – 60
训练视频的目标帧率,以每秒帧数计。LTX-2.3 的原生帧率为 24。
resolution可选
类型enum
默认值medium
lowmediumhigh
训练分辨率。提高分辨率会增加内存需求。
aspect_ratio可选
类型enum
默认值1:1
16:91:19:16
训练宽高比。
trigger_phrase可选
类型string
默认值
LoRA 样式激活短语,在训练期间插入字幕开头。
auto_scale_input可选
类型boolean
默认值false
启用后自动调整视频,使其匹配请求的 FPS 和帧数;图像数据集保持不变。
split_input_into_scenes可选
类型boolean
默认值false
场景切分控制。在为 a2a 准备成对的目标/参考音频时会忽略此设置,因为切分会使两者不同步。对于 a2a 请保持关闭,并预先提供已切分的片段。
split_input_duration_threshold可选
类型number
默认值30
1 – 60
以秒为单位的场景切分触发时长:只有超过该阈值的视频才会被切分。
debug_dataset可选
类型boolean
默认值false
预处理检查模式,用于在完整训练运行前检查视频、图像和字幕。启用后,训练器会在可下载的归档中返回处理后的训练数据集,以便手动检查。
audio_normalize可选
类型boolean
默认值true
音频峰值归一化,以保持整个数据集中的音量一致。
audio_preserve_pitch可选
类型boolean
默认值true
调整音频时长时保留音高,而不是裁剪或填充。
audio_duration_seconds可选
类型number
默认值5
0.5 – 60
以秒为单位的音频时长桶。音频专用模式需要此参数,因为这些模式没有可用于计算时长的视频帧数。该目标决定片段处理方式:超出部分会被裁剪,不足的片段会被跳过。
validation可选
类型object[]
默认值[]
≤ 2 个项目
验证提示词列表,每个提示词与一个参考音频片段配对。
validation[].prompt必填
类型string
验证期间使用的提示词。
validation[].reference_audio_url必填
类型url · audio
≥ 1 characters
用于条件音频生成的参考音频 URL。
validation_negative_prompt可选
类型string
默认值blurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio, incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.
验证期间应用的负面提示词,验证使用单阶段预览流程。由于该流程近似于两阶段的蒸馏生产推理,其引导方式和预览质量与最终结果不同。
validation_number_of_frames可选
类型integer
默认值89
9 – 121
每个验证视频的帧数。
validation_frame_rate可选
类型integer
默认值24
8 – 60
验证视频的目标帧率,以每秒帧数计;LTX-2.3 的原生帧率为 24。
validation_resolution可选
类型enum
默认值high
lowmediumhigh
验证期间使用的分辨率。
validation_aspect_ratio可选
类型enum
默认值1:1
16:91:19:16
验证期间使用的宽高比。
stg_scale可选
类型number
默认值1
0 – 3
时空引导(STG)比例,建议使用 1.0,使用 0.0 可关闭 STG。
必填
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx23-trainer-v2/a2a",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 4600,
"usd": "4.60",
"charged": 4600,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size} | null验证生成的合并视频预览(适用于可用且会生成视频的端点)。
- audio
- object {url, content_type, file_name, file_size} | null验证生成的合并音频;对于以下仅音频路由,在可用时作为预览提供:/audio-inpaint、/audio-extend-suffix、/audio-extend-prefix、/t2a、/a2a 和 /v2a。
- lora_file
- object {url, content_type, file_name, file_size}采用 .safetensors 格式的已训练 LoRA 权重 URL。
- config_file
- object {url, content_type, file_name, file_size}推理端点设置的配置。
- debug_dataset
- object {url, content_type, file_name, file_size} | null启用 `debug_dataset` 时可用的调试输出:一个可下载的归档,其中包含预处理后的训练数据。
其他 LTX 2.3 Trainer 变体
更多模型:训练
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/ltx23-trainer-v2/a2a.md. 所有模型和指南: https://doitong.com/developers/llms.txt